### Type Parameters

- #### T

### Hierarchy

- ProfileOptions

## Index

### Properties

- distanceExtractor
- formatter
- hoverCallback
- i18n
- outCallback
- poiExtractor
- scaleModifier

## Properties

### distanceExtractor

distanceExtractor: ((arg0: T) => number)

- Defined in src/profile/elevationComponent.js:60

#### Type declaration

- - (arg0: T): number

  - Extract the distance from origin of a point (an item of the elevation data array).

    #### Parameters

    - ##### arg0: T

    #### Returns number

### formatter

formatter: ProfileFormatter

- Defined in src/profile/elevationComponent.js:59

Formatter giving full control on how numbers are formatted.

### hoverCallback

hoverCallback: ((arg0: Object, arg1: number, arg2: string, arg3: Object, arg4: string) => void)

- Defined in src/profile/elevationComponent.js:66

#### Type declaration

- - (arg0: Object, arg1: number, arg2: string, arg3: Object, arg4: string): void

  - A callback called from the profile when the mouse moves over a point. The point, an item of the elevation data array, is passed as the first argument of the function.

    #### Parameters

    - ##### arg0: Object

    - ##### arg1: number

    - ##### arg2: string

    - ##### arg3: Object

    - ##### arg4: string

    #### Returns void

### i18n

i18n: I18n

- Defined in src/profile/elevationComponent.js:70

### outCallback

outCallback: (() => void)

- Defined in src/profile/elevationComponent.js:69

#### Type declaration

- - (): void

  - A callback called from the profile when the mouse leaves the profile.

    #### Returns void

### poiExtractor

poiExtractor: PoiExtractor

- Defined in src/profile/elevationComponent.js:62

Extractor for parsing POI data.

### scaleModifier

scaleModifier: ((arg0: Function, arg1: Function, arg2: number, arg3: number) => void)

- Defined in src/profile/elevationComponent.js:63

#### Type declaration

- - (arg0: Function, arg1: Function, arg2: number, arg3: number): void

  - Allows to modify the raw x and y scales. Notably, it is possible to modify the y domain according to XY ratio rules, add padding or enforce y lower bound.

    #### Parameters

    - ##### arg0: Function

    - ##### arg1: Function

    - ##### arg2: number

    - ##### arg3: number

    #### Returns void

Generated using TypeDoc